//
// Module: NullEeCorrector
// Author: Hassan Siddiqui
//
// Description: 
//
// Null implementation of an Encircled Energy Corrector class
// (does nothing)
//
// Modifications: See ChangeLog
// 
// $Id: NullEeCorrector.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef NullEeCorrector_H
#define NullEeCorrector_H

/* General */

/* SAS-specific */

/* Local */
#include "EeCorrector.h"

class NullEeCorrector : public EeCorrector
{
public:

  /* Constructor */
  NullEeCorrector();

  /* Destructor */
  ~NullEeCorrector();

  vector<double> 
  Fraction( const vector<double>& energyvector) const;

private:

};

#endif
